---
name: Anthony Natale
locality:
country: Remote
role: <a href="">Account Executive (Mid-Market, Named), US East</a>
reports_to: lvasquez00887
picture: anatale.png
pronouns: he/him
pronunciation: Na-ta-lay
twitter:
linkedin: anthony-natale-48925571
gitlab: anatale
departments:
- MM
specialty:
- Named Accounts
expertise:
story:
job_title: Account Executive - Mid Market
division: Sales
public: true

